
Application: gvSIG desktop - gvSIG bugs #2315
Error al abrir proyecto al no encontrar un símbolo
02/12/2014 10:32 AM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Symbology
Target version: 2.1.0-2219-testing
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2218 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Guardo un proyecto con una capa a la que he aplicado una determinada simbología de una biblioteca de símbolos.
Borro la carpeta de esa biblioteca de símbolos
Intento abrir el proyecto y gvSIG lanza un error.
Adjunto log.

Si vuelvo a instalar  la biblio de símbolos, el proyecto se abre correctamente.

History
#1 - 02/17/2014 10:42 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Layer will be unavailable if legend has persistence error. If user reloads layer (TOC popup menu), then a default legend is adopted.

gvsig-desktop:r41146

#2 - 02/17/2014 01:06 PM - Álvaro Anguix
- Target version changed from 2.1.0-2221-testing to 2.1.0-2219-testing

#3 - 02/20/2014 11:54 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Realmente al recargar no adopta ninguna leyenda/símbolo por defecto, pero permite cambiar el símbolo y en ese momento la capa ya aparece como
disponible. 
Quizá se podría mejorar el comportamiento, pero se solventa el error. Lo cierro.
